aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xdist/linux/travis-ci.sh5
1 files changed, 4 insertions, 1 deletions
diff --git a/dist/linux/travis-ci.sh b/dist/linux/travis-ci.sh
index 7dd6e7964..727d28b3b 100755
--- a/dist/linux/travis-ci.sh
+++ b/dist/linux/travis-ci.sh
@@ -14,9 +14,12 @@ printf "$ANSI_YELLOW[TRAVIS] Travis environment $ANSI_NOCOLOR\n"
env | grep TRAVIS
echo -en "travis_fold:end:travis_env\r"
+# The command 'git describe' (used for version) needs the history. Get it.
+# But the following command fails if the repository is complete.
+git fetch --unshallow || true
+
# Build version.tmp and replace version.in with it (so that the version is
# correctly set).
-git fetch --unshallow
make -f Makefile.in srcdir=. version.tmp
cp version.tmp src/version.in